Package tigase.util

## Enum Version.FIELD

- java.lang.Object
- - java.lang.Enum<Version.FIELD>
  - - tigase.util.Version.FIELD

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Version.FIELD>`
  Enclosing class:
    Version

      public static enum Version.FIELD
      extends java.lang.Enum<Version.FIELD>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUGFIX` |
    `BUILD` |
    `COMMIT` |
    `COMPONENT` |
    `MAJOR` |
    `MINOR` |
    `TYPE` |
    `TYPE_NUMBER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Version.FIELD` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Version.FIELD[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPONENT

          public static final Version.FIELD COMPONENT

    - #### MAJOR

          public static final Version.FIELD MAJOR

    - #### MINOR

          public static final Version.FIELD MINOR

    - #### BUGFIX

          public static final Version.FIELD BUGFIX

    - #### TYPE

          public static final Version.FIELD TYPE

    - #### TYPE_NUMBER

          public static final Version.FIELD TYPE_NUMBER

    - #### BUILD

          public static final Version.FIELD BUILD

    - #### COMMIT

          public static final Version.FIELD COMMIT

  - ### Method Detail

    - #### values

          public static Version.FIELD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Version.FIELD c : Version.FIELD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Version.FIELD valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null